﻿using AD_MAUI.Model;
using System.ComponentModel;
using System.Runtime.CompilerServices;

namespace AD_MAUI.ViewModel
{
    public class SongViewModel : INotifyPropertyChanged
    {
        private readonly Song song;

        public event PropertyChangedEventHandler? PropertyChanged;

        public string Title
        {
            get => song.Title;
        }

        public int Duration
        {
            get => song.Duration;
        }

        public SongViewModel(Song? song)
        {
            this.song = song ?? new();
        }
    }

}
